Skip to content

Return the rendered content of a single post within the feed

Request

Provides the rendered content for a single post in a user’s feed. The post must be visible to the user or a 404 Not Found response will be returned.

Security
oauth2_as_a_user(Required scopes: feeds.rendered.read)
Path
content_idintegerrequired

ID of the post

Query
localestring

Locale (for translatable posts)

target_platformstring

The target platform the post should be rendered for.

Enum:"android""email""ios""microapp""public_content""web"
curl -i -X GET \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}/rendered?locale=string&target_platform=android' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataobject(Feeds.RenderedPost.Resource)
Response
{ "data": { "id": 456, "content_type": "article", "locale": "en", "is_translatable": true, "rendered": "<html><body>Rendered Content</body></html>" } }